// -*- c++ -*-

#ifndef PLUGIN_USAGEMONITOR_H
#define PLUGIN_USAGEMONITOR_H

#include <kparts/plugin.h>

class PluginUsageMonitor : public KParts::Plugin
{
  Q_OBJECT
public:
  PluginUsageMonitor( QObject* parent = 0, const char* name = 0, 
                     const QStringList &args = QStringList() );
  virtual ~PluginUsageMonitor();

public slots:
    void setMonitor(bool);
    void slotLogAction();
    void addAction( KAction *a );
    void delAction( KAction *a );
    void addActionCollection( KActionCollection *ac );
    void delActionCollection( KActionCollection *ac );
    void addClient( KXMLGUIClient *a );
    void delClient( KXMLGUIClient *a );
};

#endif // PLUGIN_USAGEMONITOR_H
